{% extends "base.html" %}
{% block title %}{{ tituloPagina}}{% endblock %}
{% block body %}    
    {{ super() }}

    {% if alert %}
        <div class="alert alert-danger" role="alert">
            {{alert}}
        </div>
    {% endif %}

    <form action = "" method = "post">

        <!-- Mostrar info dinámicamente en cliente
        https://www.w3schools.com/tags/tryit.asp?filename=tryhtml5_ev_onchange -->
        <div class="form-inline">
            <label class="my-1 mr-2" for="tipo_tutor"><b>Tipo tutor: </b></label>                
                <select class="custom-select my-1 mr-sm-2" id="tipo_tutor" name="tipo_tutor" onchange="showTutorExterno(this)">                  
                  <option value="0" selected>Seleccionar...</option>
                  <option value="1">Profesor no permanente</option>
                  <option value="2">Profesor permanente</option>
                  <option value="3">Tutor externo</option>                  
                </select>            
                
                <!-- <button type="button" class="btn btn-primary float-sm-right" data-toggle="modal" data-target="#ayudaModal">Ayuda</button> -->
        </div>            
        
        <!-- DATOS SOBRE EL TUTOR Y PONENTE -->
        <div class="form-group d-none boxed" id="box_email">            
            <div class="form-group" id="email_tutor">
                <label class="my-1 mr-2" for="tipo_tutor">Email del tutor: </label>
                <input type="text" class="form-control mr-2" id="tutor_email" name="tutor_email" value="{{ user.email }}" readonly>    
                <label class="my-1 mr-2 hidden" id="email_tutor_incorrecto"><font color="red">Ningún profesor encontrado con este email</font></label>             
            </div>

            <div class="form-group" id="email_ponente">
                <label class="my-1 mr-2" for="tipo_tutor">Email del ponente: </label>
                <input type="text" class="form-control mr-2" id="ponente_email" name="ponente_email">  
                <label class="my-1 mr-2 hidden" id="email_ponente_incorrecto"><font color="red">Ningún profesor encontrado con este email</font></label>         
            </div>            

            <div class="form-group d-none boxed" id="tutor_externo">
                <label class = "mt-2"><b>Datos sobre el tutor externo</b></label>          
                <div class="form-inline" id="tutor_externo">
                    <label class="my-1 mr-2" for="nombre">Nombre: </label>
                    <input type="text" class="form-control mt-2 mr-2" name="nombre">
                    <label class="my-1 mr-2" for="apellido1">Primer apellido: </label>
                    <input type="text" class="form-control mt-2 mr-2" name="apellido1">                    
                    <label class="my-1 mr-2" for="apellido2">Segundo apellido: </label>
                    <input type="text" class="form-control mt-2 mr-2" name="apellido2">                    
                </div>

                <div class="form-inline" id="tutor_externo">
                    <label class="my-1 mr-2" for="tutor_externo_email">Email: </label>
                    <input type="text" class="form-control mt-2 mr-2" name="tutor_externo_email">                
                    
                    <label class="my-1 mr-2 mt-2" for="institucion">Institución: </label>
                    <input type="text" class="form-control mt-2 mr-2" name="institucion">
                
                    <label class="my-1 mr-2" for="cargo">Cargo: </label>
                    <input type="text" class="form-control mt-2 mr-2" name="cargo">            
            </div>     
        </div>                    
            
        <label class = "mt-2"><b>TFG</b></label>          
        <!-- TITULO Y DESCRIPCION -->
        <div class="form-group d-none boxed" id="box_titulo">
            
            <div class="form-group">
                <label><b>Título</b></label>
                <input type="text" class="form-control" name="titulo">
            </div>                   

            <div class="form-group">
                <label><b>Descripción</b></label>
                <textarea class="form-control" rows="7" name="descripcion"></textarea>            
            </div>

            <div class="form-group">                
                <!-- <div class="row align-items-center">
                    <div class="col-2">
                        <label class="my-1 mr-2" for="tipo_tutor">Titulación: </label>                
                        <select class="custom-select my-1 mr-sm-2" id="titulacion" name="titulacion">                  
                            <option value="0" selected>Elegir...</option>
                            <option value="1">GII</option>
                            <option value="2">GITST</option>                  
                        </select>                            
                    </div>
                    <div class="col-2"><label>Tecnologías</label></div>                    
                </div> -->
                <div class="row">       
                    <div class="col-2"><b>Tecnologías</b></div>                                 
                </div>         
                <div class="row">                
                <div class="col-1">GII</div>
                    <div class="col-4">
                        <fieldset id="gii_techs">                          
                                <input type="checkbox" id="CO_checkbox" name="tecnologias" value="CO"> CO      
                                <input type="checkbox" id="IS_checkbox" name="tecnologias" value="IS"> IS      
                                <input type="checkbox" id="SI_checkbox" name="tecnologias" value="SI"> SI      
                                <input type="checkbox" id="IC_checkbox" name="tecnologias" value="IC"> IC                  
                                <input type="checkbox" id="TI_checkbox" name="tecnologias" value="TI"> TI                                
                        </fieldset>
                    </div>
                </div>
                <div class="row">                        
                        <div class="col-1">GITST</div>
                        <div class="col-4">
                            <fieldset>                          
                                    <input type="checkbox" id="EL_checkbox" name="tecnologias" value="EL"> EL      
                                    <input type="checkbox" id="RA_checkbox" name="tecnologias" value="RA"> RA      
                                    <input type="checkbox" id="SE_checkbox" name="tecnologias" value="SE"> SE
                                    <input type="checkbox" id="TE_checkbox" name="tecnologias" value="TE"> TE                                         
                            </fieldset>
                        </div>
                    </div>
            </div>
        </div>
        
        <div class="form-group d-none" id="box_botones">
            <button class="btn btn-primary" name="volver_btn" href="listadoTFG">Volver</button>
            <button class="btn btn-success" id="btnGuardar" name="guardar_btn" type="submit" onclick="return checkValues()" disabled>Guardar</button>            
        </div>        
    </form>

    <!-- Modal de Ayuda -->
    <div class="modal fade" id="ayudaModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Propuesta de TFG</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                </div>
                <div class="modal-body">
                Los TFGs solo pueden ser introducidos por profesores permanentes:
                    <ul>
                        <li>Si éste va a ejercer solo como tutor, debe especificar únicamente su propio email en el campo 'Tutor', dejando los 
                            correspondientes al ponente en blanco.</li>
                        <li>Si va a ejercer como ponente de un tutor, tanto externo como interno, debe seleccionar primero el tipo adecuado de éste 
                            en el despegable 'Tipo tutor' y, luego, rellenar los datos correspondientes. En el caso de un tutor UAM, solo es necesario 
                            indicar el email del mismo.</li>                    
                    </ul>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" data-dismiss="modal">Cerrar</button>
                </div>
            </div>
            </div>
        </div>
    

    <script>
        function checkValues() {            
            /* TODO: Comprobar que tiene un título correcto, etc... */
            if ((document.getElementById("IS_checkbox").checked ||
                document.getElementById("SI_checkbox").checked ||
                document.getElementById("TI_checkbox").checked ||
                document.getElementById("CO_checkbox").checked ||
                document.getElementById("IC_checkbox").checked ||
                document.getElementById("EL_checkbox").checked ||
                document.getElementById("RA_checkbox").checked ||
                document.getElementById("SE_checkbox").checked ||
                document.getElementById("TE_checkbox").checked) == false){
                /* Cambiar esta alert por un modal más mono  */
                alert("Se debe seleccionar al menos una tecnología");
                return false;
            }

            return true;
        }
        
        $('#tipo_tutor').change(function() {            
            document.getElementById("box_email").setAttribute("class", "d-block boxed");
            document.getElementById("box_botones").setAttribute("class", "d-block");
            if ($(this).val() == 1){
                document.getElementById("email_tutor").setAttribute("class", "d-block");
                document.getElementById("email_ponente").setAttribute("class", "d-block");
                document.getElementById("tutor_externo").setAttribute("class", "d-none");                
            } else if ($(this).val() == 2){
                document.getElementById("email_tutor").setAttribute("class", "d-block");
                document.getElementById("email_ponente").setAttribute("class", "d-none");                                
                document.getElementById("tutor_externo").setAttribute("class", "d-none");        
                $("#btnGuardar").removeAttr('disabled');        
            } else if ($(this).val() == 3){                
                document.getElementById("email_tutor").setAttribute("class", "d-none");
                document.getElementById("email_ponente").setAttribute("class", "d-block");                                
                document.getElementById("tutor_externo").setAttribute("class", "d-block");
            }
            document.getElementById("box_titulo").setAttribute("class", "d-block boxed");
        });

        $("#email_ponente_incorrecto").ready().hide();
        $("#email_tutor_incorrecto").ready().hide();

        $("#email_ponente").change(function(e) {
          $.post("/tfgs/checkEmail", {"email": $("#ponente_email").val()})
           .done(function(resultado) {
                if (resultado == 'NOK'){
                    $("#email_ponente_incorrecto").show();                    
                }
                else {
                    $("#email_ponente_incorrecto").hide();
                    $("#btnGuardar").removeAttr('disabled');
                }
          });
          e.preventDefault();
        });

        $("#email_tutor").change(function(e) {
        $.post("/tfgs/checkEmail", {"email": $("#tutor_email").val()})
        .done(function(resultado) {
                if (resultado == 'NOK'){
                    $("#email_tutor_incorrecto").show();                    
                }
                else {
                    $("#email_tutor_incorrecto").hide();                    
                }
        });
        e.preventDefault();
        });

    </script>
{% endblock %}

<!-- Es mejor que la asignación del trabajo la haga directamente el tutor, porque si la solicitud 
la hace el estudiante, el profesor querrá entrevistar al estudiante. 
 -->
 
 <!-- titulo = Column(String(300))
    descripcion = Column(String(2000))

    # Estudiante autor del trabajo
    autor_id = Column(Integer, ForeignKey('usuario.email'))

    # Tutor (solo hay uno)
    tutor_id = Column(Integer, ForeignKey('usuario.email'))

    # Ponente (solo hay uno, aunque puede ser el mismo que el tutor)
    ponente_id = Column(Integer, ForeignKey('usuario.email'))

    # Estado del TFG
    estado = Column(Integer)

    # Fichero PDF del TFG
    #memoria = Column(LargeBinary)
    fecha_asignacion = Column(Date)
    fecha_solicitud_defensa = Column(Date)
    fecha_defensa = Column(Date) -->